Subject: Re: bug#26246: 26.0.50; In development: make: *** No rule to make target 'lib/Makefile.am', needed by 'lib/Makefile.in'.

From: Jean Louis <[email-masked]>
Date: Sat, 25 Mar 2017 02:39:58 +0300

On Fri, Mar 24, 2017 at 07:27:51PM -0400, [email-masked] wrote:
> [email-masked] (Jean Louis) writes:
> 
> > This is not a bug in Emacs. I have simply git pull-ed the latest Emacs
> > from development, and run the autogen, and configure, just as I do each
> > time.
> >
> > This time I encountered
> > make: *** No rule to make target 'lib/Makefile.am', needed by 'lib/Makefile.in'.  Stop.
> >
> 
> According to [1] './autogen.sh; ./configure;make' should help, possibly
> after doing 'make distclean'.
> 
> [1]: http://lists.gnu.org/archive/html/emacs-devel/2017-03/msg00643.html

make distclean
make: *** No rule to make target 'lib/Makefile.am', needed by 'lib/Makefile.in'.  Stop.

./autogen.sh 
Checking whether you have the necessary tools...
(Read INSTALL.REPO for more details on building Emacs)
Checking for autoconf (need at least version 2.65) ... ok
Your system has the required tools.
Running 'autoreconf -fi -I m4' ...
You can now run './configure'.

and after configure I get following:

  Does Emacs use -lxft?                                   yes
  Does Emacs use -lsystemd?                               no
  Does Emacs directly use zlib?                           yes
  Does Emacs have dynamic modules support?                yes
  Does Emacs use toolkit scroll bars?                     yes
  Does Emacs support Xwidgets (requires gtk3)?            no
  Does Emacs have threading support in lisp?              yes

configure: creating ./config.status
root [ /sources/emacs ]# make
make: *** No rule to make target 'lib/Makefile.am', needed by 'lib/Makefile.in'.  Stop.